csRenderMeshList Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csRenderMeshList Class Reference

This class is used when we need to store, sort and then render a list of rendermeshes. More...

`#include <cstool/rendermeshlist.h>`

List of all members.

## Public Member Functions
void | AddRenderMeshes (CS::Graphics::RenderMesh **meshes, int num, CS::Graphics::RenderPriority defaultRenderPriority, csZBufMode z_buf_mode, iMeshWrapper *mesh)
| Add a new set of rendermeshes to the lists.
| csRenderMeshList (iEngine *engine)
| Constructor.
void | Empty ()
| Empty the meshlist.
void | GetSortedMeshes (CS::Graphics::RenderMesh **meshes, iMeshWrapper **imeshes)
| After sorting the meshes fetch them with this function.
size_t | SortMeshLists (iRenderView *rview)
| Sort the list of meshes by render priority and within every render priority.
| ~csRenderMeshList ()
| Destructor.

## Detailed Description

This class is used when we need to store, sort and then render a list of rendermeshes.

Definition at line 43 of file rendermeshlist.h.

## Constructor & Destructor Documentation

csRenderMeshList::csRenderMeshList | ( | iEngine * | engine | ) |

Constructor.

It needs objectregistry becouse the meshsorter needs to get the renderpriorities sortingoptions from the engine.

csRenderMeshList::~csRenderMeshList | ( |  | ) |

Destructor.

Clean up the list

## Member Function Documentation

void csRenderMeshList::AddRenderMeshes | ( | CS::Graphics::RenderMesh ** | meshes,
|  | int | num,
|  | CS::Graphics::RenderPriority | defaultRenderPriority,
|  | csZBufMode | z_buf_mode,
|  | iMeshWrapper * | mesh
| ) |  |

Add a new set of rendermeshes to the lists.

void csRenderMeshList::Empty | ( |  | ) |

Empty the meshlist.

It will still hold the list of renderpriorities.

void csRenderMeshList::GetSortedMeshes | ( | CS::Graphics::RenderMesh ** | meshes,
|  | iMeshWrapper ** | imeshes
| ) |  |

After sorting the meshes fetch them with this function.

size_t csRenderMeshList::SortMeshLists | ( | iRenderView * | rview | ) |

Sort the list of meshes by render priority and within every render priority.

Return number of total meshes.

The documentation for this class was generated from the following file:

- cstool/rendermeshlist.h